Oracle BPEL Process Manager ScriptServlet Remote Code Execution Vulnerability

2013-10-16T00:00:00
ID ZDI-13-249
Type zdi
Reporter Andrea Micalizzi aka rgod
Modified 2013-11-09T00:00:00

Description

This vulnerability allows remote attackers to obtain sensitive information on vulnerable installations of Oracle BPEL Process Manager. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the ScriptServlet. It suffers of a directory traversal vulnerability inside the query string which can lead to disclosure of credentials. By abusing this behavior an attacker can disclose administrative credentials and possibly leverage this situation to achieve remote code execution.